%define  pkgname json-pure
 
Name: 	 ruby-%pkgname
Version: 1.8.1 
Release: alt0.M70P.1
 
Summary: This is a JSON implementation in pure Ruby
License: MIT/Ruby
Group:   Development/Ruby
Url:     https://github.com/flori/json
 
Packager: Andrey Cherepanov <cas@altlinux.org>
 
Source:  %pkgname-%version.tar
 
BuildRequires(pre): rpm-build-ruby
BuildRequires: ruby-tool-setup
BuildRequires: libruby-devel
 
%description
This is a JSON implementation in pure Ruby.

%package doc
Summary: Documentation files for %name
Group: Documentation
 
BuildArch: noarch
 
%description doc
Documentation files for %{name}.

%prep
%setup -n %pkgname-%version
%update_setup_rb
 
%build
%ruby_config
%ruby_build
 
%install
%ruby_install
%rdoc lib/
# Remove unnecessary files
rm -f %buildroot%ruby_ri_sitedir/{Object/cdesc-Object.ri,cache.ri,created.rid}
 
%check
%ruby_test_unit -Ilib:test test
 
%files
%doc README*
%ruby_sitelibdir/*
 
%files doc
%ruby_ri_sitedir/*
 
%changelog
* Tue Jun 02 2015 Andrey Cherepanov <cas@altlinux.org> 1.8.1-alt0.M70P.1
- Backport new version to p7 branch

* Wed Apr 23 2014 Andrey Cherepanov <cas@altlinux.org> 1.8.1-alt1
- Initial build for ALT Linux
